com.pixelmed.dose

## Class CTPhantomType

- java.lang.Object
- - com.pixelmed.dose.CTPhantomType

- All Implemented Interfaces:
    java.lang.Comparable

      public class CTPhantomType
      extends java.lang.Object
      implements java.lang.Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CTPhantomType` | `BODY32`
    `static CTPhantomType` | `HEAD16`
    `static CTPhantomType` | `MIXED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `CodedSequenceItem` | `getCodedSequenceItem()`
    `static CodedSequenceItem` | `getCodedSequenceItem(CTPhantomType phantomType)`
    `static CTPhantomType` | `selectFromCode(CodedSequenceItem csi)`
    `static CTPhantomType` | `selectFromDescription(java.lang.String description)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HEAD16

          public static final CTPhantomType HEAD16

    - #### BODY32

          public static final CTPhantomType BODY32

    - #### MIXED

          public static final CTPhantomType MIXED

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### selectFromDescription

          public static CTPhantomType selectFromDescription(java.lang.String description)

    - #### selectFromCode

          public static CTPhantomType selectFromCode(CodedSequenceItem csi)

    - #### getCodedSequenceItem

          public static CodedSequenceItem getCodedSequenceItem(CTPhantomType phantomType)
                                                        throws DicomException

      Throws:
        `DicomException`

    - #### getCodedSequenceItem

          public CodedSequenceItem getCodedSequenceItem()
                                                 throws DicomException

      Throws:
        `DicomException`